Subject: Re: bug#75459: 31.0.50; scratch-igc: Breakpoint 1, terminate_due_to_signal (sig=sig@entry=6, backtrace_limit=backtrace_limit@entry=2147483647) at ./src/emacs.c:432

From: Gerd Möllmann <[email-masked]>
Date: Fri, 10 Jan 2025 15:27:36 +0100

Pip Cet <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> Ah, that explains it, thanks! Didn't know about that hook.
>
> That explains why "backtrace" doesn't show up; it doesn't explain why
> backtrace_function asserts on data that we previously ensured would be of
> the right kind.

True.

>> I call that command manually when MPS gets in the way. Here is the
>
> Does lldb allow you to inspect memory that is behind a barrier?

No, or at least I don't know how I could do that.

(LLDB's Python API, which I use, is a SWIG wrapper of the C++ objects the
lldb lib uses. The Python classes are not completely documented, so
there might be something hidden somewhere.)